<div class="container-m--x bredcrumb admin-bg" style="margin-top:-11.9px;">
    <div class="row px-4 f-16 white">
       <div class="col-md-4">
          <span (click)="goToDefaultPage()" class="cursor"><i class="las la-home f-18 "></i></span>
          <span class="px-3"><i class="las la-angle-right f-12 "></i></span>
          <span class="font-weight-normal">Administration</span>
       </div>
    </div>
  </div>
<div>
    <div class="content">
        <div class="content_width">
            <div class="row">
                <div class="col-md-3 sidebar_top">
                <admin-sidebar></admin-sidebar> 
                </div>
                <div class="col-md-9 card_title_top">
                <label>
                    <h2 class="card-title-material">Calculated Measures</h2>
                </label>
                <div class="table-wrapper-calc mt-2">
                    <div class="row py-3">
                            <div class="input-group align-items-center pl-4" style="width:auto;position:absolute">
                                <span ><i class="las la-search f-20 search_icon_transform"></i>
                                </span >
                <input id="search" class="form-control border-0 px-2 search_bg"
                    type='search' placeholder='Search' (keyup)='updateFilter($event)'>
                </div>
                <!-- <hr class="hr-border container-m--x mt-3 mb-3"> -->

                        <!-- <h3 class="pull-left">Keyword Mappings
                            <button class="btn btn-md btn-primary pull-right" (click)="modalService.open(addNewKeywordModal,{})">
                                <span class="fa fa-plus"></span> Add Keyword</button>
                        </h3> -->
                            <div *ngIf="dataSources.length > 1" class="ml-auto">
                    <label class="form-label label-text-custom pl-4">Data Source</label>
                    <span class="pl-1 pr-2"
                        placement="top" ngbTooltip="Select the data source to view the list of attributes in it">
                        <i class="ion ion-ios-information-circle-outline ion-theme"></i>
                    </span>
                    <ng-select placeholder="Select source" [allowClear]="false"
                        (ngModelChange)="loadcalcmeasureListData($event)" [options]="dataSources"
                        [(ngModel)]="selectedDataSource" class="data_source_select data-s-enable  custom-border-select calc_source_select_width">
                    </ng-select>
                    <button class="btn btn-primary ml-2 mr-4" (click)="openCalculatedValueEditor()">
                        <span class="fa fa-plus pr-2"></span> Add Formula
                    </button>
                </div>
        </div>
        <div class="custom_fm_container calculated_fm_container">
            <fm-pivot #pivotcontainer width="0px" height="0px" [toolbar]="false" [report]="pivotResult"
                [licenseKey]="'Z7TE-102510-6Z0345-61393B-585P5Q-3X053C-5F5P3O-1B2038-6T164M-6F1V6W-0K61'"></fm-pivot>
        </div>
        <div class="card-ngx-datatable table-responsive">
            <ngx-datatable #table style="min-width: 550px;min-height: auto" [rows]="rows" [columnMode]="'force'"
                [headerHeight]="33" [footerHeight]="'auto'" [rowHeight]="'auto'" [reorderable]="true" [limit]="10">
                <ngx-datatable-column name="caption">
                    <ng-template let-column="column" ngx-datatable-header-template>
                        Attribute Name
                    </ng-template>
                </ngx-datatable-column>

                <ngx-datatable-column name="formula">
                    <ng-template let-column="column" ngx-datatable-header-template>
                        Formula
                    </ng-template>
                </ngx-datatable-column>

                <ngx-datatable-column name="opration" [width]="100">
                    <ng-template let-column="column" ngx-datatable-header-template>
                        Action
                    </ng-template>
                    <ng-template let-row="row" let-value="value" let-rowIndex="rowIndex" ngx-datatable-cell-template>
                        <button class="btn custom-icon-btn btn-sm btn-outline-info  borderless"
                            placement="top" ngbTooltip="Edit" (click)="openCalculatedValueEditor(row['uniqueName'])">
                            <i class="fa-lg las la-edit"></i>
                        </button>
                    </ng-template>
                </ngx-datatable-column>
            </ngx-datatable>
        </div>
        </div>
        </div>
        </div>
    </div>
</div>
</div>
    <ng-template #noRecordResult>
        <div class="empty-data-bg">
            <img _ngcontent-c9="" class="emptyDashboardImg alptyAlertImg" src="assets/imgs/hxIcon/emptydb.png">
            <p>No Result Found.</p>
        </div>
    </ng-template>
    <ng-template #isServerFailed>
        <div *ngIf="serverFailed.status; else noRecordResult" class="empty-data-bg">
            <img _ngcontent-c9="" class="emptyDashboardImg alptyAlertImg" src="assets/imgs/hxIcon/emptydb.png">
            <p>{{serverFailed.msg}}</p>
        </div>
    </ng-template>
    <div *blockUI="'global-loader'; template: blockTemplate"></div>
<ng-template #blockTemplate>
    <div class="block-ui-template">
        <div class="app-splash-screen ">
            <div class="new-app-splash-screen-content text-center">
                <img src="../../assets/img/hx-loader-logo.svg" class="loader-svg">
                <span class="loading-text-material">
                </span>
            </div>
        </div>
    </div>
</ng-template>